Name:           synce-hal
Version:        0.14
Release:        3%{?dist}
Summary:        Connection framework and dccm-implementation

Group:          Applications/Communications
License:        GPLv2
URL:            http://www.synce.org
Source0:        http://downloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
# see #514768 create sockets in /var/run instead of /tmp
Patch0:         synce-hal-sock.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libsynce-devel
BuildRequires:  glib2-devel gnet2-devel
BuildRequires:  hal-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  python

Obsoletes: odccm <= %{version}
Provides: odccm = %{version}-%{release}
Obsoletes: synce-serial <= %{version}
Provides: synce-serial = %{version}-%{release}

%description
Synce-hal is a connection framework and dccm-implementation 
for Windows Mobile devices that integrates with HAL.

%prep
%setup -q
%patch0 -p1

%build
%configure --enable-bluetooth-support --with-hal-addon-dir=%{_libexecdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -Dpm644 $RPM_BUILD_ROOT%{_sysconfdir}/ppp/ip-up.d/synce-bt-ipup \
$RPM_BUILD_ROOT/%{_sysconfdir}/ppp/synce-bt-ipup
install -Dpm644 $RPM_BUILD_ROOT%{_sysconfdir}/ppp/ip-down.d/synce-bt-ipdown \
$RPM_BUILD_ROOT/%{_sysconfdir}/ppp/synce-bt-ipdown
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/{ip-up.d,ip-down.d}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/hal/fdi/policy/20thirdparty/10-synce.fdi
%{_datadir}/synce-hal/
%config %{_sysconfdir}/dbus-1/system.d/*
%{_sysconfdir}/ppp/peers/*
%{_sysconfdir}/ppp/synce-bt*
%{_sysconfdir}/ppp/ip-down.d/synce-bt*
%{_sysconfdir}/ppp/ip-up.d/synce-bt*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.14-1
- version upgrade

* Tue Jul 07 2009 Adam Jackson <ajax@redhat.com> 0.13.1-4
- Fix Provides: of synce-serial.

* Sun Jun 14 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13.1-3
- fix hal-synce locations (#505916)
- add dbus config (#505931)
- enable bluetooth support

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.13.1-1
- version upgrade (#457949)
- obsolete odccm and synce-serial

* Wed Jun 18 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.1-1
- initial version
